;;; org.el -*- lexical-binding: t; -*-

;; If you use `org' and don't want your org files in the default location below,
;; change `org-directory'. It must be set before org loads!
(setq org-directory "~/Nextcloud/org/")

(require 'org)

;; Fix org-babel shell block not inheriting envrc
;; https://github.com/purcell/envrc/issues/28
(advice-add 'org-babel-eval :around #'envrc-propagate-environment)

(after! org
  ;; Store org links to info pages
  (add-to-list 'org-modules 'ol-info))

;; C-k is mapped to ~org-element-up~ by defualt
(map! :after evil-org
      :map evil-org-mode-map
      :i "C-k" #'org-kill-line)

(map! :after org
      :map org-mode-map
      :localleader
      "Y" #'ox-clip-image-to-clipboard)
